curl --location
--request PUT 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"errorCode": "1234"
}'
{
"verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
"verificationStatus": "User verified successfull",
"userId": "f3aeccd2-ea87-4547-90e5-753b21f7895e",
"cornerStoreId": "f4acb0f8-cbab-43e3-8594-739b1fa3b5b9"
}
Account
Validate account verification code
Sends verification code to be validated
PUT
/
account
/
{userId}
/
verification
/
{verificationId}
curl --location
--request PUT 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"errorCode": "1234"
}'
{
"verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
"verificationStatus": "User verified successfull",
"userId": "f3aeccd2-ea87-4547-90e5-753b21f7895e",
"cornerStoreId": "f4acb0f8-cbab-43e3-8594-739b1fa3b5b9"
}
curl --location
--request PUT 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"errorCode": "1234"
}'
{
"verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
"verificationStatus": "User verified successfull",
"userId": "f3aeccd2-ea87-4547-90e5-753b21f7895e",
"cornerStoreId": "f4acb0f8-cbab-43e3-8594-739b1fa3b5b9"
}
Path parameters
string
required
Propaga’s user id
string
required
Verification id generated on the creation of the transaction
Body
string
required
Response
string
string
string
string
Response
string
Error codes
Verification not found (404)
{
"errorCode": "VERIFICATION_NOT_FOUND",
"errorMessage": "This verification not found"
}
Verification not valid (422)
{
"errorCode": "VERIFICATION_NOT_VALID",
"errorMessage": "This verification is not valid"
}
User already verified (422)
{
"errorCode": "USER_IS_VERIFIED",
"errorMessage": "This user is verified"
}
User in internal verification (422)
{
"errorCode": "USER_IN_MANUAL_VALIDATION",
"errorMessage": "This user information is currently in manual validation"
}
Was this page helpful?

